Skip to content
EntitlerDocs

POST/v1/devices/{device_id}:retire

Retire a keypad device

Retires a keypad device and takes it off its lane. Needs customers:write.

curl -X POST 'https://api.entitler.co/v1/devices/<device_id>:retire' \
  -H "Authorization: Bearer $ENTITLER_KEY" \
  -H "Content-Type: application/json" \
  -d '{"target":{"environmentId":"environmentId","projectId":"projectId","teamId":"teamId"}}'

Credentials

Send any one of these:

  • Bearer token

Path parameters

NameTypeDescription
device_idrequiredstring

Request body

object

  • targetProductTarget
    • environmentIdstring
    • projectIdstring
    • teamIdstring

Responses

200The RetireDeviceResponse message.

RetireDeviceResponse

  • deviceKeypadDevice
    • assignedAtinteger

      at least 0; at most 18446744073709552000

    • customerExternalIdstring
    • digitsKeypadDigitsrequired

      One of KEYPAD_DIGITS_UNSPECIFIED, KEYPAD_DIGITS_FULL, KEYPAD_DIGITS_RESTRICTED.

    • externalIdstringrequired
    • idstringrequired
    • productIdstring
    • registeredAtintegerrequired

      at least 0; at most 18446744073709552000

    • retiredAtinteger

      at least 0; at most 18446744073709552000

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired